Hi, 
    I am new to ruby. How to install the extension onTcl/Tk
environment and use the Tcl/Tk's library on Ruby/Tk ?  My OS is fc3
and I installed everything of the option on fc3 cd. My ruby version is
"ruby 1.8.2 (2004-12-25) [i686-linux]". I tried to install from 
http://www.hwaci.com/sw/tkhtml/index.html link but it doesn't work.
ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.2-preview1.tar.gz is
also not working.
 What packages do i need for installing the extension? I don't know
about Tcl . How to check it is properly installed?  It would be
helpfull if you send me some suitable link for these.
Thanks
sujeet

On 6/17/05, Hidetoshi NAGAI <nagai / ai.kyutech.ac.jp> wrote:
> From: sujeet kumar <sujeetkr / gmail.com>
> Subject: Re: How to make a browser in Ruby Tk
> Date: Fri, 17 Jun 2005 07:23:37 +0900
> Message-ID: <734fb9240506161523725ce0ba / mail.gmail.com>
> > When I run Ruby's source archive ("ext/tk/sample/tkextlib/tkHTML/hv.rb").
> > I got error
> 
> I wrote
> > If you install the extension on your Tcl/Tk environment
> > (for example, you use ActiveTcl binary package) and use
> > the Tcl/Tk's library on your Ruby/Tk,
> 
> The error which you got shows that Tcl/Tk's TkHTML extension is not
> installed (or not ready to use) on your environment.
> 
> # Please read "<ruby library>/tkextlib/SUPPORT_STATUS".
> --
> Hidetoshi NAGAI (nagai / ai.kyutech.ac.jp)
> 
>